Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicRadioButtonUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.basic.BasicButtonUI
                        |
                        +--javax.swing.plaf.basic.BasicToggleButtonUI
                              |
                              +--javax.swing.plaf.basic.BasicRadioButtonUI

Direct Known Subclasses:
  BasicCheckBoxUI, MetalRadioButtonUI

public class BasicRadioButtonUI
extends BasicToggleButtonUI

RadioButtonUI implementation for BasicRadioButtonUI

Field Summary
`protected Icon` | `icon`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`BasicRadioButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)` Returns an instance of the UI delegate for the specified component.
`Icon` | `getDefaultIcon()`
`Dimension` | `getPreferredSize(JComponent c)` The preferred size of the radio button
`protected String` | `getPropertyPrefix()`
`protected void` | `installDefaults(AbstractButton b)`
`void` | `paint(Graphics g, JComponent c)` paint the radio button
`protected void` | `paintFocus(Graphics g, Rectangle textRect, Dimension size)`
`protected void` | `uninstallDefaults(AbstractButton b)`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`getTextShiftOffset, paintIcon`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installListeners, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### icon

    protected Icon icon

Constructor Detail

### BasicRadioButtonUI

    public BasicRadioButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

  Description copied from class: `ComponentUI`
  Returns an instance of the UI delegate for the specified component. Each subclass must provide its own static `createUI` method that returns an instance of that UI delegate subclass. If the UI delegate subclass is stateless, it may return an instance that is shared by multiple components. If the UI delegate is stateful, then it should return a new instance per component. The default implementation of this method throws an error, as it should never be invoked.

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicToggleButtonUI`

### installDefaults

    protected void installDefaults(AbstractButton b)

  Overrides:
    `installDefaults` in class `BasicButtonUI`

### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

  Overrides:
    `uninstallDefaults` in class `BasicButtonUI`

### getDefaultIcon

    public Icon getDefaultIcon()

### paint

    public void paint(Graphics g,
                      JComponent c)

  paint the radio button

  Overrides:
    `paint` in class `BasicToggleButtonUI`
  Parameters:
    `g` - the `Graphics` context in which to paint
    `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

### paintFocus

    protected void paintFocus(Graphics g,
                              Rectangle textRect,
                              Dimension size)

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  The preferred size of the radio button

  Overrides:
    `getPreferredSize` in class `BasicButtonUI`
  Parameters:
    `c` - the component whose preferred size is being queried; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
  See Also:
    `JComponent.getPreferredSize()`, `LayoutManager.preferredLayoutSize(java.awt.Container)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.